/*
 * $Id: mpop.c 13 2007-10-04 14:54:56Z rea $
 *
 * Copyright 2003-2007 Eygene A. Ryabinkin. All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY EYGENE A. RYABINKIN "AS IS" AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL EYGENE A. RYABINKIN OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#if !defined(lint)
static const char vcsid[] = "$Id: mpop.c 13 2007-10-04 14:54:56Z rea $";
#endif

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include "stringops.h"

int main(int argc, char* argv)
{
	int done;
	char buf[2048];
	FILE* fp;

	setbuf(stdout,NULL);

	fp=fopen("/tmp/log","a");
	fputs("New session\n",fp);

	printf("+OK Mpop ready.\r\n");
	done=0;
	while( !done )
	{
		fgets(buf,sizeof(buf),stdin);
		fputs(buf,fp);
		chomp(buf);
		if (!strncasecmp(buf, "retr", 4)) {
			printf("+OK Message follows\r\n");
			printf("Received: (from root@localhost)\r\n"
"	by phoenix.codelabs.org (8.12.2/8.12.1/Submit) id g3KFkI4R002997\r\n"
"	for cyrus; Sat, 20 Apr 2002 19:46:18 +0400 (MSD)\r\n"
"Date: Sat, 20 Apr 2002 19:46:18 +0400 (MSD)\r\n"
"From: \"Eygene A. Ryabinkin\" <rea@phoenix.codelabs.org>\r\n"
"Message-Id: <200204201546.g3KFkI4R002997@phoenix.codelabs.org>\r\n"
"To: cyrus@phoenix.codelabs.org\r\n"
"Subject: Cyrus mail\r\n"
"\r\n"
"Fuck off\r\n\r\n.\r\n");
		}
		else if (!strncasecmp(buf, "stat", 4)) {
			printf("+OK 1 100\r\n");
		}
		else if (!strncasecmp(buf, "quit", 4)) {
			printf("+OK Bye!\r\n");
			done=1;
		}
		else
			printf("+OK Shit\r\n");
	}

	fclose(fp);

	return 0;
}
