divert(-1)
#
# Copyright (c) 1998, 1999 Sendmail, Inc. and its suppliers.
#	All rights reserved.
# Copyright (c) 1983 Eric P. Allman.  All rights reserved.
# Copyright (c) 1988, 1993
#	The Regents of the University of California.  All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#

#
#  This is a generic configuration file for 4.4 BSD-based systems,
#  including 4.4-Lite, BSDi, NetBSD, and FreeBSD.
#  It has support for local and SMTP mail only.  If you want to
#  customize it, copy it to a name appropriate for your environment
#  and do the modifications there.
#

divert(0)dnl
VERSIONID(`$Id: sendmail.mc 1 2007-10-04 08:21:50Z rea $')
OSTYPE(bsd4.4)dnl
DOMAIN(generic)dnl
define(`PROCMAIL_MAILER_PATH', `/usr/local/bin/procmail')
FEATURE(`local_procmail')dnl
FEATURE(`access_db')dnl
FEATURE(`blacklist_recipients')dnl
FEATURE(`mailertable', `hash -o /etc/mail/mailertable')dnl
FEATURE(`smrsh')dnl
FEATURE(`dnsbl', `dul.ru', `Use mail relays of ISP')dnl
define(`confSMTP_LOGIN_MSG', `$j /dev/mail; $b')dnl :)
define(`confPRIVACY_FLAGS', ``authwarnings,noexpn,novrfy'')
dnl define(`LOCAL_MAILER_PATH', `/usr/libexec/mail.local')
dnl define(`LOCAL_MAILER_ARGS', `/usr/libexec/mail.local -b $u')
dnl MODIFY_MAILER_FLAGS(`LOCAL', `+S')
MAILER(local)dnl
MAILER(smtp)dnl
dnl MAILER(procmail)dnl
TRUST_AUTH_MECH(`DIGEST-MD5 PLAIN LOGIN')
define(`confAUTH_MECHANISMS', `DIGEST-MD5 PLAIN LOGIN')
dnl INPUT_MAIL_FILTER(`StopAIDS', `S=local:/var/run/.aids_filter')
dnl INPUT_MAIL_FILTER(`LogFilter', `S=local:/var/run/.log_filter')
